import { defineNuxtModule } from '@nuxt/kit'

export default defineNuxtModule({
  setup(moduleOptions, nuxt) {
    nuxt.hook('pages:extend', pages => {
      pages.push({
        name: 'pojem_poglej',
        path: '/manifest/:naslov',
        file: '~/pages/manifest/pojem.vue'
      }, {
        name: 'pojem_uredi',
        path: '/manifest/:naslov/uredi/:guid',
        file: '~/pages/manifest/pojem.vue'
      }, {
        name: 'pojem_dodaj',
        path: '/manifest/dodaj/:guid',
        file: '~/pages/manifest/dodaj.vue'
      })
    })
  }
})
